
using System;
using System.Collections.Generic;
using System.Linq;
using Newtonsoft.Json;
using UnityEngine;

namespace BingoBrain
{
    public class MakeupModel : BingoBrainConfigModel<makeup>
    {

    }


    public class makeup : BingoBrainConfigData
    {
        public int item_need;
        public bool is_onetime;
        public int task_need;
        public int ad_need;
        public int item;
        public int levels_need;
        public int AD_Down;
        public int AD_Limit_times;
        public int Login_Limit_times;
        public int Active_time;
        public int Active_time_Down;
        public int Active_Limit_times;

    }
    public class MakeupModel_2 : BingoBrainConfigModel<makeup_2>
    {

    }


    public class makeup_2 : BingoBrainConfigData
    {
        public int item_need;
        public bool is_onetime;
        public int task_need;
        public int ad_need;
        public int item;
        public int levels_need;
        public int AD_Down;
        public int AD_Limit_times;
        public int Login_Limit_times;
        public int Active_time;
        public int Active_time_Down;
        public int Active_Limit_times;
        public int PayIncrease;
        public float ADIncrease;
        public int Reset_time;

    }
    public class CardRedeemNewModel : BingoBrainConfigModel<cardRedeemNew>
    {

    }


    public class cardRedeemNew : BingoBrainConfigData
    {

        public int item;
        public int redeem_id;
        public int fee_need;
        public int ServerID_USD;
        public int ServerID_BRL;
        public int ServerID_IDR;
        public int item_need;
        public decimal redeem_num;
        public int redeem_br;
        public bool is_real;
        public int task_need;
    }
    public class GameUrlsModel : BingoBrainConfigModel<GameUrls>
    {

    }


    public class GameUrls : BingoBrainConfigData
    {

        public string webLink;
        public int webType;
        public int probability;
        public int refreshMax;
        public int darkWebTimesCT;
        public int darkWebTimesCT2;
        public int wvType;
        public int wvthrough;
        public int isMagic;
        public int[] darkWVRefreshtime;
        public int darkWVDailyrefreshtimes;
        public int WVClickAddTime;
        public int WVOffset;
    }
    public class exBrPoolModel : BingoBrainConfigModel<exBrPool>
    {
        public static List<string> config_name_list;
        public static List<string> config_money_list;

        public static List<string> old_time_list;
        public static List<string> new_time_list;
        public static void getFaqData()
        {
            string[] b = ConfigSystem.GetConfig<exBrPoolModel>().dataList[0].user_name.Split(",");
            int c = UnityEngine.Random.Range(0, b.Length - 30);
            string[] a = new string[30];
            config_money_list = new List<string>();
            string[] d = ConfigSystem.GetConfig<exBrPoolModel>().dataList[0].amount.Split(",");
            for (int i = 0; i < 30; i++)
            {
                a[i] = b[c + i];
                config_money_list.Add(d[UnityEngine.Random.Range(0, 2)]);
            }
            config_name_list = a.ToList();
            for (int i = 0; i < 5; i++)
            {
                config_name_list.Add(config_name_list[i]);
                config_money_list.Add(config_money_list[i]);
            }

            DateTime nowtime = DateTime.Now;

            DateTime oldtime;
            DateTime newtime;
            old_time_list = new List<string>();
            new_time_list = new List<string>();
            for (int i = 0; i < 30; i++)
            {
                oldtime = nowtime.AddSeconds(-UnityEngine.Random.Range(20 * 86400, 30 * 86400));
                newtime = nowtime.AddSeconds(-UnityEngine.Random.Range(0, 86400));
                old_time_list.Add(oldtime.Year + "." + oldtime.Month + "." + oldtime.Day);
                new_time_list.Add(newtime.Year + "." + newtime.Month + "." + newtime.Day);
            }
            for (int i = 0; i < 5; i++)
            {
                old_time_list.Add(old_time_list[i]);
                new_time_list.Add(new_time_list[i]);
            }
            Debug.Log(JsonConvert.SerializeObject(old_time_list));
            Debug.Log(JsonConvert.SerializeObject(new_time_list));


        }

    }


    public class exBrPool : BingoBrainConfigData
    {
        public string user_name;
        public string amount;
    }

    public class exBrPoolModel_2 : BingoBrainConfigModel<exBrPool_2>
    {
        public static List<string> config_name_list;
        public static List<string> config_money_list;

        public static List<string> old_time_list;
        public static List<string> new_time_list;
        public static void getFaqData()
        {
            string[] b = ConfigSystem.GetConfig<exBrPoolModel_2>().dataList[0].user_name.Split(",");
            int c = UnityEngine.Random.Range(0, b.Length - 30);
            string[] a = new string[30];
            config_money_list = new List<string>();
            string[] d = ConfigSystem.GetConfig<exBrPoolModel_2>().dataList[0].amount.Split(",");
            for (int i = 0; i < 30; i++)
            {
                a[i] = b[c + i];
                config_money_list.Add(d[UnityEngine.Random.Range(0, 2)]);
            }
            config_name_list = a.ToList();
            for (int i = 0; i < 5; i++)
            {
                config_name_list.Add(config_name_list[i]);
                config_money_list.Add(config_money_list[i]);
            }

            DateTime nowtime = DateTime.Now;

            DateTime oldtime;
            DateTime newtime;
            old_time_list = new List<string>();
            new_time_list = new List<string>();
            for (int i = 0; i < 30; i++)
            {
                oldtime = nowtime.AddSeconds(-UnityEngine.Random.Range(20 * 86400, 30 * 86400));
                newtime = nowtime.AddSeconds(-UnityEngine.Random.Range(0, 86400));
                old_time_list.Add(oldtime.Year + "." + oldtime.Month + "." + oldtime.Day);
                new_time_list.Add(newtime.Year + "." + newtime.Month + "." + newtime.Day);
            }
            for (int i = 0; i < 5; i++)
            {
                old_time_list.Add(old_time_list[i]);
                new_time_list.Add(new_time_list[i]);
            }
            Debug.Log(JsonConvert.SerializeObject(old_time_list));
            Debug.Log(JsonConvert.SerializeObject(new_time_list));


        }

    }


    public class exBrPool_2 : BingoBrainConfigData
    {
        public string user_name;
        public string amount;
    }
}